<template xmlns:v-slot="http://www.w3.org/1999/XSL/Transform">
    <v-layout align-center justify-center>
        <v-card>
            <v-card-title primary-title>
                <v-layout column>
                    <v-form
                        ref="form"
                        lazy-validation
                        id="login_form"
                        method="POST"
                    >
                        <v-text-field
                            :value="email"
                            label="ایمیل"
                            required
                            text-align="right"
                            name="email"
                            @input="setEmail"
                            data-vv-name="email"
                        ></v-text-field>

                        <v-layout row align-center justify-center>

                            <v-btn
                                fill-width
                                color="success"
                                @click="sendMail"
                            >
                                <v-progress-circular v-show="this.pending === true" indeterminate
                                                     color="white"></v-progress-circular>
                                <div v-show="this.pending === false">{{'ارسال ایمیل'}}</div>
                            </v-btn>

                        </v-layout>
                    </v-form>
                </v-layout>
            </v-card-title>
        </v-card>
    </v-layout>
</template>
<script>
    import {mapActions, mapMutations, mapState} from "vuex";
    export default {
        name: "forgetPassword",
        methods: {
            ...mapMutations({
                setEmail: 'forgetPassword/setEmail',
            }),
            ...mapActions({
                sendMail: 'forgetPassword/sendMail'
            }),
        },
        computed: {
            ...mapState({
                isLoggedIn: state => state.forgetPassword.isLoggedIn,
                pending: state => state.forgetPassword.pending,
                email: state => state.forgetPassword.email,
            })
        }
    }
</script>
<style scoped>
</style>
